Bug 112642 - sed-4.0.8-2.src.rpm build failed: unexpected passes in test suite
sed-4.0.8-2.src.rpm build failed: unexpected passes in test suite
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sed (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-25 15:52 EST by Vladimir Kondratiev
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.0.8-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-07 09:46:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Kondratiev 2003-12-25 15:52:34 EST
Description of problem:
Build of sed-4.0.8-2.src.rpm failed with unexpected passes in test suite.

Version-Release number of selected component (if applicable):
sed-4.0.8-2.src.rpm

How reproducible:
always

Steps to Reproduce:
1.rpm --rebuild sed-4.0.8-2.src.rpm
2.
3.
  
Actual results:
error

Expected results:
successful build

Additional info:
Last lines from make:
(I build from non-root, defining 
--define '_topdir $HOME/rpm-top')
make[1]: Leaving directory `/home/vkondra-l/rpm-top/BUILD/sed-4.0.8/doc'
Making check in testsuite
make[1]: Entering directory
`/home/vkondra-l/rpm-top/BUILD/sed-4.0.8/testsuite'
make  check-TESTS
make[2]: Entering directory
`/home/vkondra-l/rpm-top/BUILD/sed-4.0.8/testsuite'
PASS: lvl-030323-1
PASS: lvl-030323-2
PASS: lvl-030323-3
XPASS: lvl-030323-4
XPASS: lvl-030323-5
XPASS: lvl-030323-6
make[3]: Entering directory
`/home/vkondra-l/rpm-top/BUILD/sed-4.0.8/testsuite'
LC_ALL=C ../sed/sed -f ./lvl-030824.sed \
        < ./lvl-030824.inp > lvl-030824.out
cmp ./lvl-030824.good lvl-030824.out
./lvl-030824.good lvl-030824.out differ: char 17, line 2
make[3]: *** [lvl-030824] Error 1
make[3]: Leaving directory
`/home/vkondra-l/rpm-top/BUILD/sed-4.0.8/testsuite'
XFAIL: lvl-030824
PASS: lvl-030912
PASS: enable
<skip expected passes>
PASS: dc
==============================================================
3 of 57 tests did not behave as expected (3 unexpected passes)
Please report to bonzini@gnu.org
==============================================================
make[2]: *** [check-TESTS] Error 1
make[2]: Leaving directory
`/home/vkondra-l/rpm-top/BUILD/sed-4.0.8/testsuite'
make[1]: *** [check-am] Error 2
make[1]: Leaving directory
`/home/vkondra-l/rpm-top/BUILD/sed-4.0.8/testsuite'
make: *** [check-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.40090 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.40090 (%build)

Tests under question:
[vkondra-l@localhost testsuite]$ cat lvl-030323-4.good
<bcb>
[vkondra-l@localhost testsuite]$ cat lvl-030323-4.inp
bcb
[vkondra-l@localhost testsuite]$ cat lvl-030323-4.sed
s/\(\)\(b\)\1c\2/<&>/p
d
[vkondra-l@localhost testsuite]$ cat lvl-030323-5.good
a<bb>bbc
[vkondra-l@localhost testsuite]$ cat lvl-030323-5.inp
abbbbc
[vkondra-l@localhost testsuite]$ cat lvl-030323-5.sed
s/\(b\(\)\)\2\1/<&>/p
d
[vkondra-l@localhost testsuite]$ cat lvl-030323-6.good
a<bbbb>c
[vkondra-l@localhost testsuite]$ cat lvl-030323-6.inp
abbbbc
[vkondra-l@localhost testsuite]$ cat lvl-030323-6.sed
s/\(bb\(\)\)\2\1/<&>/p
d
Comment 1 Jakub Jelinek 2004-01-07 09:46:41 EST
Should be fixed in sed-4.0.8-3 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.